import { ConfigService } from "@nestjs/config";
import { Payload } from "../types/jwt-payload.interface";
import { UserReq } from "../types/user-req.interface";
declare const JwtStrategy_base: new (...args: any[]) => any;
export declare class JwtStrategy extends JwtStrategy_base {
    private readonly configService;
    constructor(configService: ConfigService);
    validate(payload: Payload): Promise<UserReq>;
}
export {};
